Bug 53427 - UWP EntryCell Label Not Correct Color
Summary: UWP EntryCell Label Not Correct Color
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.3.4
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Chris King
URL:
Depends on:
Blocks:
 
Reported: 2017-03-16 23:39 UTC by Ray Kelly
Modified: 2017-07-07 12:31 UTC (History)
5 users (show)

Tags: entrycell template textcolor ac
Is this bug a regression?: ---
Last known good build:


Attachments
Screenshot (26.55 KB, image/png)
2017-03-16 23:39 UTC, Ray Kelly
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Ray Kelly 2017-03-16 23:39:53 UTC
Created attachment 20400 [details]
Screenshot

I have a EntryCell and the color does not work properly in Desktop and Mobile.  You can see in the screenshot that SwitchCell works properly so it may only EntryCell that has the issue.

XAML:

  <ContentPage.Content>
    <TableView Intent="Settings">
      <TableRoot>
        <TableSection Title="">
          <EntryCell x:Name="labelUsername" Placeholder="" Label="User Name" Text="{Binding UserName}" Keyboard="Email" />
          <local:PasswordEntry x:Name="labelPassword" Label="Password" Text="{Binding Password}"/>
          <SwitchCell x:Name="labelOffline" Text="Offline/Non-Premium Account" On="{Binding IsOffline}" />
        </TableSection>
      </TableRoot>
    </TableView>
  </ContentPage.Content>
</ContentPage>
Comment 1 Paul DiPietro [MSFT] 2017-03-17 01:45:52 UTC
This is likely some sort of template issue if I had to guess.
Comment 2 Chris King 2017-03-23 20:38:00 UTC
https://github.com/xamarin/Xamarin.Forms/pull/837

As a work around you can set the LabelColor explicitly on an EntryCell.
Comment 3 Rui Marinho 2017-03-27 10:39:47 UTC
Should be fixed on 2.3.5-pre1
Comment 4 Saurabh Paunikar 2017-07-07 12:31:52 UTC
Verified on xamarin.form version 2.3.5.256-pre6.Issue is fixed

ScreenCast link: https://www.screencast.com/t/mWgJhQMIStS